Bug 922460 - Review Request: rubygem-syck - Gemified version of Syck from Ruby's stdlib
Summary: Review Request: rubygem-syck - Gemified version of Syck from Ruby's stdlib
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 922217
TreeView+ depends on / blocked
 
Reported: 2013-03-17 06:38 UTC by Mamoru TASAKA
Modified: 2013-04-08 13:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-08 13:32:50 UTC
Type: ---
relrod: fedora-review+
pbabinca: fedora-cvs+


Attachments (Terms of Use)

Description Mamoru TASAKA 2013-03-17 06:38:27 UTC
Spec URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-syck/rubygem-syck.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-syck/rubygem-syck-1.0.0-1.fc.src.rpm
Description: 
A gemified version of Syck from Ruby's stdlib.  
Syck has been removed from Ruby's stdlib, and this gem is 
meant to bridge the gap for people that haven't
updated their YAML yet.

Fedora Account System Username: mtasaka
Koji scratch build:
F-20: http://koji.fedoraproject.org/koji/taskinfo?taskID=5132056
F-19: http://koji.fedoraproject.org/koji/taskinfo?taskID=5132059

Comment 2 Vít Ondruch 2013-03-19 13:45:13 UTC
I don't think it is good idea to introduce syck into Fedora. It just delays its inevitable death.

Not mentioning that this is just convenient fork/bundle of syck, whose upstream looks to be https://github.com/indeyets/syck

Comment 3 Mamoru TASAKA 2013-03-19 14:42:16 UTC
(In reply to comment #2)
> I don't think it is good idea to introduce syck into Fedora. It just delays
> its inevitable death.

This is just your thought.

I would appreciate if you would review this package, thank you.

Comment 4 Rick Elrod 2013-04-05 10:49:26 UTC
Two minor issues noted below.

The first is a non-blocker, but SHOULD item.
For the second, can you provide some feedback on the rpmlint warnings, for reference?

After that, I'll approve.


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Query upstream to see if they are willing to add a license file.
- rpmlint isn't silent (only warnings, no errors)


===== MUST items =====

C/C++:
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[-]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Ruby:
[x]: Specfile should use macros from rubygem-devel package.
[x]: Test suite of the library should be run.
[x]: Gem package should exclude cached Gem.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-syck-1.0.0-2.fc20.x86_64.rpm
          rubygem-syck-doc-1.0.0-2.fc20.noarch.rpm
rubygem-syck.x86_64: W: spelling-error Summary(en_US) Gemified -> Gentrified
rubygem-syck.x86_64: W: spelling-error Summary(en_US) stdlib -> std lib, std-lib, stolid
rubygem-syck.x86_64: W: spelling-error %description -l en_US gemified -> gentrified
rubygem-syck.x86_64: W: spelling-error %description -l en_US stdlib -> std lib, std-lib, stolid
rubygem-syck.x86_64: W: no-soname /usr/lib64/gems/ruby/syck-1.0.0/lib/syck.so
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-syck-doc rubygem-syck
rubygem-syck.x86_64: W: spelling-error Summary(en_US) Gemified -> Gentrified
rubygem-syck.x86_64: W: spelling-error Summary(en_US) stdlib -> std lib, std-lib, stolid
rubygem-syck.x86_64: W: spelling-error %description -l en_US gemified -> gentrified
rubygem-syck.x86_64: W: spelling-error %description -l en_US stdlib -> std lib, std-lib, stolid
rubygem-syck.x86_64: W: no-soname /usr/lib64/gems/ruby/syck-1.0.0/lib/syck.so
rubygem-syck.x86_64: W: unused-direct-shlib-dependency /usr/lib64/gems/ruby/syck-1.0.0/lib/syck.so /lib64/libpthread.so.0
rubygem-syck.x86_64: W: unused-direct-shlib-dependency /usr/lib64/gems/ruby/syck-1.0.0/lib/syck.so /lib64/librt.so.1
rubygem-syck.x86_64: W: unused-direct-shlib-dependency /usr/lib64/gems/ruby/syck-1.0.0/lib/syck.so /lib64/libdl.so.2
rubygem-syck.x86_64: W: unused-direct-shlib-dependency /usr/lib64/gems/ruby/syck-1.0.0/lib/syck.so /lib64/libcrypt.so.1
rubygem-syck.x86_64: W: unused-direct-shlib-dependency /usr/lib64/gems/ruby/syck-1.0.0/lib/syck.so /lib64/libm.so.6
2 packages and 0 specfiles checked; 0 errors, 10 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-syck-doc (rpmlib, GLIBC filtered):
    rubygem-syck

rubygem-syck (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libcrypt.so.1()(64bit)
    libdl.so.2()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libruby.so.2.0()(64bit)
    rtld(GNU_HASH)
    ruby(release)
    ruby(rubygems)



Provides
--------
rubygem-syck-doc:
    rubygem-syck-doc

rubygem-syck:
    rubygem(syck)
    rubygem-syck
    rubygem-syck(x86-64)
    syck.so()(64bit)



Unversioned so-files
--------------------
rubygem-syck: /usr/lib64/gems/ruby/syck-1.0.0/lib/syck.so

MD5-sum check
-------------
http://rubygems.org/gems/syck-1.0.0.gem :
  CHECKSUM(SHA256) this package     : 36d8b19babe3435057ebe2baad2b4e27026b2e34e7d349c6d77cfd9dd48e0afa
  CHECKSUM(SHA256) upstream package : 36d8b19babe3435057ebe2baad2b4e27026b2e34e7d349c6d77cfd9dd48e0afa


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 922460 -m fedora-rawhide-x86_64

Comment 5 Mamoru TASAKA 2013-04-07 07:42:59 UTC
Thank you for review!
Then

* For should item
  - It seems only this one?
> [!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
    License clause is included in README.rdoc, so this is not a problem

* For rpmlint
  - spelling-error is actually not spelling errors
  - no-soname is expected (usually dlopen'ed libraries does not have soname)
  - For unused-direct-shlib-dependency:
    Although perhaps these extra linkages are not needed actually,
    leaving these won't harm and as this is specified by ruby-libs side
    (%_libdir/ruby/rbconfig.rb), I leave this as it is for now.

Comment 6 Rick Elrod 2013-04-07 09:26:56 UTC
Okay :)

Comment 7 Rick Elrod 2013-04-07 09:27:16 UTC
This package is APPROVED.

Comment 8 Mamoru TASAKA 2013-04-07 13:33:19 UTC
Thank you!

New Package SCM Request
=======================
Package Name: rubygem-syck
Short Description: Gemified version of Syck from Ruby's stdlib
Owners: mtasaka
Branches: f19

Comment 9 Pavol Babinčák 2013-04-08 09:12:57 UTC
Bug assigned to original requester.

Git done (by process-git-requests).

Comment 10 Mamoru TASAKA 2013-04-08 13:32:50 UTC
Rebuilt successfully, push requested on bodhi for f19, closing.
Thank you for review and git procedure.


Note You need to log in before you can comment on or make changes to this bug.